<template>
  <div class="drawer">
    <!-- <input id="my-drawer-3" type="checkbox" class="drawer-toggle" /> -->
    <div class="drawer-content flex flex-col">
      <!-- Navbar -->
      <div class="w-full navbar bg-base-300">
        <!-- <div class="flex-none lg:hidden">
          <label for="my-drawer-3" class="btn btn-square btn-ghost">
            <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" class="inline-block w-6 h-6 stroke-current"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 6h16M4 12h16M4 18h16"></path></svg>
          </label>
        </div> -->
        <div class="flex-1 px-2 mx-2">
          <NuxtLink to="/">Zupports</NuxtLink>
        </div>
        <div class="flex-none hidden lg:block">
          <ul class="menu menu-horizontal">
            <!-- Navbar menu content here -->
            <!-- <li><a>Navbar Item 1</a></li> -->
            <!-- <li><a>Navbar Item 2</a></li> -->
          </ul>
        </div>
      </div>
      <!-- Page content here -->
      <div class="container lg:max-w-6xl mx-auto py-4">
      <!-- <div class="w-96 mx-auto"> -->
        <slot></slot>
      </div>
    </div>

    <!-- <div class="drawer-side">
      <label for="my-drawer-3" class="drawer-overlay"></label>
      <ul class="menu p-4 w-80 min-h-full bg-base-200">
        < !-- Sidebar content here -- >
        <li><a>Sidebar Item 1</a></li>
        <li><a>Sidebar Item 2</a></li>
      </ul>
    </div> -->
  </div>
</template>
